package com.admc.jcreole;

/**
 * This class lists terminals used by the
 * grammar specified in "CreoleParser.grammar".
 */
public class Terminals {
	static public final short EOF = 0;
	static public final short TEXT = 1;
	static public final short NESTED_PRE = 2;
	static public final short NESTED_STYLESHEET = 3;
	static public final short NESTED_ENUMFORMATS = 4;
	static public final short JCXSPAN = 5;
	static public final short END_JCXSPAN = 6;
	static public final short HARDSPACE = 7;
	static public final short HARDLINE = 8;
	static public final short EM_TOGGLE = 9;
	static public final short STRIKE_TOGGLE = 10;
	static public final short UNDER_TOGGLE = 11;
	static public final short MONO_TOGGLE = 12;
	static public final short SUP_TOGGLE = 13;
	static public final short SUB_TOGGLE = 14;
	static public final short STRONG_TOGGLE = 15;
	static public final short URL = 16;
	static public final short IMAGE = 17;
	static public final short STYLER = 18;
	static public final short NESTED_HTMLCOMMENT = 19;
	static public final short NESTED_RAWHTML = 20;
	static public final short NESTED_NOWIKI = 21;
	static public final short EMDASH = 22;
	static public final short ENTRYDEF = 23;
	static public final short FOOTREF = 24;
	static public final short INDEXED = 25;
	static public final short JCXBLOCK = 26;
	static public final short CELL = 27;
	static public final short TAB = 28;
	static public final short LI = 29;
	static public final short DT = 30;
	static public final short HEADING = 31;
	static public final short END_LI = 32;
	static public final short FINAL_LI = 33;
	static public final short HOR = 34;
	static public final short ROOTLVL_NEWLINE = 35;
	static public final short ROOTLVL_NOWIKI = 36;
	static public final short ROOTLVL_HTMLCOMMENT = 37;
	static public final short ROOTLVL_RAWHTML = 38;
	static public final short ROOTLVL_STYLESHEET = 39;
	static public final short ROOTLVL_ENUMFORMATS = 40;
	static public final short TOC = 41;
	static public final short MASTERDEFLIST = 42;
	static public final short FOOTNOTES = 43;
	static public final short INDEX = 44;
	static public final short END_JCXBLOCK = 45;
	static public final short ENUMFORMATRESET = 46;
	static public final short END_H = 47;
	static public final short END_PARA = 48;
	static public final short END_ROW = 49;
	static public final short FINAL_ROW = 50;
	static public final short END_DT = 51;
	static public final short FINAL_DT = 52;

	static public final String[] NAMES = {
		"EOF",
		"TEXT",
		"NESTED_PRE",
		"NESTED_STYLESHEET",
		"NESTED_ENUMFORMATS",
		"JCXSPAN",
		"END_JCXSPAN",
		"HARDSPACE",
		"HARDLINE",
		"EM_TOGGLE",
		"STRIKE_TOGGLE",
		"UNDER_TOGGLE",
		"MONO_TOGGLE",
		"SUP_TOGGLE",
		"SUB_TOGGLE",
		"STRONG_TOGGLE",
		"URL",
		"IMAGE",
		"STYLER",
		"NESTED_HTMLCOMMENT",
		"NESTED_RAWHTML",
		"NESTED_NOWIKI",
		"EMDASH",
		"ENTRYDEF",
		"FOOTREF",
		"INDEXED",
		"JCXBLOCK",
		"CELL",
		"TAB",
		"LI",
		"DT",
		"HEADING",
		"END_LI",
		"FINAL_LI",
		"HOR",
		"ROOTLVL_NEWLINE",
		"ROOTLVL_NOWIKI",
		"ROOTLVL_HTMLCOMMENT",
		"ROOTLVL_RAWHTML",
		"ROOTLVL_STYLESHEET",
		"ROOTLVL_ENUMFORMATS",
		"TOC",
		"MASTERDEFLIST",
		"FOOTNOTES",
		"INDEX",
		"END_JCXBLOCK",
		"ENUMFORMATRESET",
		"END_H",
		"END_PARA",
		"END_ROW",
		"FINAL_ROW",
		"END_DT",
		"FINAL_DT"
	};
}
